Upgrade of Zookeeper and Kafka

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

Upgrade of Zookeeper and Kafka

Carmen Molatch
Can I upgrade to Zookeeper 3.4.10 and Kafka 11?  Are there any known compatability issues?

Thanks
Carmen
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade of Zookeeper and Kafka

Patrick Hunt
I'm not aware of any issues wrt ZK, but it's probably a better question for
the Kafka folks (as they are consuming the service).

Patrick

On Mon, Aug 14, 2017 at 2:57 PM, Carmen Molatch <[hidden email]
> wrote:

> Can I upgrade to Zookeeper 3.4.10 and Kafka 11?  Are there any known
> compatability issues?
>
> Thanks
> Carmen
>
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade of Zookeeper and Kafka

Michael Chen
Hi Patrick,

Thanks for the reply. I'm still quite new to ZooKeeper, could you explain a bit more about why Kafka is involved?

Thank you!
Michael

> On Aug 16, 2017, at 13:15, Patrick Hunt <[hidden email]> wrote:
>
> I'm not aware of any issues wrt ZK, but it's probably a better question for
> the Kafka folks (as they are consuming the service).
>
> Patrick
>
> On Mon, Aug 14, 2017 at 2:57 PM, Carmen Molatch <[hidden email]
>> wrote:
>
>> Can I upgrade to Zookeeper 3.4.10 and Kafka 11?  Are there any known
>> compatability issues?
>>
>> Thanks
>> Carmen
>>
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade of Zookeeper and Kafka

Patrick Hunt
Kafka is using ZK to manage its coordination. As such it's dependent on ZK.
Which features, etc... it uses may impact compatibility.

Regards,

Patrick

On Wed, Aug 16, 2017 at 1:43 PM, Michael Chen <
[hidden email]> wrote:

> Hi Patrick,
>
> Thanks for the reply. I'm still quite new to ZooKeeper, could you explain
> a bit more about why Kafka is involved?
>
> Thank you!
> Michael
>
> > On Aug 16, 2017, at 13:15, Patrick Hunt <[hidden email]> wrote:
> >
> > I'm not aware of any issues wrt ZK, but it's probably a better question
> for
> > the Kafka folks (as they are consuming the service).
> >
> > Patrick
> >
> > On Mon, Aug 14, 2017 at 2:57 PM, Carmen Molatch <
> [hidden email]
> >> wrote:
> >
> >> Can I upgrade to Zookeeper 3.4.10 and Kafka 11?  Are there any known
> >> compatability issues?
> >>
> >> Thanks
> >> Carmen
> >>
>
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade of Zookeeper and Kafka

Michael Chen
Why is Kafka involved? I think I only have HDFS, YARN, HBase, Solr and
ZooKeeper...

Thanks,

Michael


On 08/16/2017 01:46 PM, Patrick Hunt wrote:

> Kafka is using ZK to manage its coordination. As such it's dependent on ZK.
> Which features, etc... it uses may impact compatibility.
>
> Regards,
>
> Patrick
>
> On Wed, Aug 16, 2017 at 1:43 PM, Michael Chen <
> [hidden email]> wrote:
>
>> Hi Patrick,
>>
>> Thanks for the reply. I'm still quite new to ZooKeeper, could you explain
>> a bit more about why Kafka is involved?
>>
>> Thank you!
>> Michael
>>
>>> On Aug 16, 2017, at 13:15, Patrick Hunt <[hidden email]> wrote:
>>>
>>> I'm not aware of any issues wrt ZK, but it's probably a better question
>> for
>>> the Kafka folks (as they are consuming the service).
>>>
>>> Patrick
>>>
>>> On Mon, Aug 14, 2017 at 2:57 PM, Carmen Molatch <
>> [hidden email]
>>>> wrote:
>>>> Can I upgrade to Zookeeper 3.4.10 and Kafka 11?  Are there any known
>>>> compatability issues?
>>>>
>>>> Thanks
>>>> Carmen
>>>>

Reply | Threaded
Open this post in threaded view
|

Re: Upgrade of Zookeeper and Kafka

hanm
I think you are in the wrong thread. What Patrick replied is this:
http://zookeeper-user.578899.n2.nabble.com/Upgrade-of-Zookeeper-and-Kafka-td7583242.html,
and what you asked is:
http://zookeeper-user.578899.n2.nabble.com/Error-connecting-to-ZooKeeper-server-td7583243.html

On Wed, Aug 16, 2017 at 2:23 PM, Michael Chen <
[hidden email]> wrote:

> Why is Kafka involved? I think I only have HDFS, YARN, HBase, Solr and
> ZooKeeper...
>
> Thanks,
>
> Michael
>
>
>
> On 08/16/2017 01:46 PM, Patrick Hunt wrote:
>
>> Kafka is using ZK to manage its coordination. As such it's dependent on
>> ZK.
>> Which features, etc... it uses may impact compatibility.
>>
>> Regards,
>>
>> Patrick
>>
>> On Wed, Aug 16, 2017 at 1:43 PM, Michael Chen <
>> [hidden email]> wrote:
>>
>> Hi Patrick,
>>>
>>> Thanks for the reply. I'm still quite new to ZooKeeper, could you explain
>>> a bit more about why Kafka is involved?
>>>
>>> Thank you!
>>> Michael
>>>
>>> On Aug 16, 2017, at 13:15, Patrick Hunt <[hidden email]> wrote:
>>>>
>>>> I'm not aware of any issues wrt ZK, but it's probably a better question
>>>>
>>> for
>>>
>>>> the Kafka folks (as they are consuming the service).
>>>>
>>>> Patrick
>>>>
>>>> On Mon, Aug 14, 2017 at 2:57 PM, Carmen Molatch <
>>>>
>>> [hidden email]
>>>
>>>> wrote:
>>>>> Can I upgrade to Zookeeper 3.4.10 and Kafka 11?  Are there any known
>>>>> compatability issues?
>>>>>
>>>>> Thanks
>>>>> Carmen
>>>>>
>>>>>
>


--
Cheers
Michael.
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade of Zookeeper and Kafka

Michael Chen
Sorry.., thanks for catching that!

> On Aug 16, 2017, at 15:25, Michael Han <[hidden email]> wrote:
>
> I think you are in the wrong thread. What Patrick replied is this: http://zookeeper-user.578899.n2.nabble.com/Upgrade-of-Zookeeper-and-Kafka-td7583242.html, and what you asked is: http://zookeeper-user.578899.n2.nabble.com/Error-connecting-to-ZooKeeper-server-td7583243.html
>
>> On Wed, Aug 16, 2017 at 2:23 PM, Michael Chen <[hidden email]> wrote:
>> Why is Kafka involved? I think I only have HDFS, YARN, HBase, Solr and ZooKeeper...
>>
>> Thanks,
>>
>> Michael
>>
>>
>>
>>> On 08/16/2017 01:46 PM, Patrick Hunt wrote:
>>> Kafka is using ZK to manage its coordination. As such it's dependent on ZK.
>>> Which features, etc... it uses may impact compatibility.
>>>
>>> Regards,
>>>
>>> Patrick
>>>
>>> On Wed, Aug 16, 2017 at 1:43 PM, Michael Chen <
>>> [hidden email]> wrote:
>>>
>>>> Hi Patrick,
>>>>
>>>> Thanks for the reply. I'm still quite new to ZooKeeper, could you explain
>>>> a bit more about why Kafka is involved?
>>>>
>>>> Thank you!
>>>> Michael
>>>>
>>>>> On Aug 16, 2017, at 13:15, Patrick Hunt <[hidden email]> wrote:
>>>>>
>>>>> I'm not aware of any issues wrt ZK, but it's probably a better question
>>>> for
>>>>> the Kafka folks (as they are consuming the service).
>>>>>
>>>>> Patrick
>>>>>
>>>>> On Mon, Aug 14, 2017 at 2:57 PM, Carmen Molatch <
>>>> [hidden email]
>>>>>> wrote:
>>>>>> Can I upgrade to Zookeeper 3.4.10 and Kafka 11?  Are there any known
>>>>>> compatability issues?
>>>>>>
>>>>>> Thanks
>>>>>> Carmen
>>>>>>
>>
>
>
>
> --
> Cheers
> Michael.